Subject: Re: merging mingw and cygwin
From: Edward Peschko <[email-masked]>
To: Mike Fahlbusch <[email-masked]>
Cc: [email-masked]
Date: Sat, 11 Oct 2003 22:27:57 -0700

> without the IDE then use mingw32.  Although it can compile either -mconsole 
> programs (using printf) or -mwindows programs (using the win32 API) it's 
> not a *nix environment. *nix programs can't usually be compiled with it 
> unless they are text-only console programs.  But it has many *nix workalike 
> tools for it like binutils.
> 
> With cygwin it is designed to be just like using *nix. *nix programs 
> compile under cygwin, starting with bash, ./configure, make and gcc.  It 
> even has xwindows.  It is like using *nix but under MS windows.  Ideally 
> any *nix program will compile and run under cygwin.
> 
> When I want to produce a win32 program I use mingw32.  When I want to use a 
> *nix program I use cygwin.

That is *exactly* why I want to merge the two. I want to be able to create unix 
applications if I want, and use unix programs to make win32 API applications.
And I want to use either to create either.

And god forbid needing to have two separate development environments in order
to do this.

> A cut-down form of mingw32 is included in cygwin but I've never used 
> it.  mingw32 is a descendant of gcc converted to run under MS 
> windows.  cygwin is unix converted to run under MS windows (including 
> gcc).  mingw32 is concerned with MS windows compatibility, whereas cygwin 
> is about *nix compatibility.
> 

so... why isn't this 'cut-down' version of mingw32 the real thing? sort of, in 
pseudo-code:

	if (*no-cygwin*) 	{ ... do mingw32 stuff 	}
	else 				{ ... do cygwin stuff 	}

Ed

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/